#include <GL/glut.h>
#include "GameObj.h"

/** Default constructor.
It initialize position, velocity, angle, angular veloicty, axis 
of each new Gameobj. Every object starts still in the 
center of the screen */

GameObj::GameObj()
{
	p=Point3f(0,0,0);
	v=Point3f(0,0,0);
	angle=0;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
	B.r=1;
}

GameObj::GameObj(const Point3f &_p, const float _angle)
{
	B.r=1;
	p=_p;
	v=Point3f(0,0,0);
	angle=_angle;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
}

GameObj::GameObj(const Point3f &_p, const float _angle, const Point3f &_v)
{
	B.r=1;
	p=_p;
	v=_v;
	angle=_angle;
	av=0;
	axis=Point3f(0,0,1);
	active=true;
}

bool GameObj::Collide(GameObj *o)
{
			B.c=p;
			o->B.c=o->p;
			//printf("(%f %f %f) %f (%f %f %f) %f\n",B.c.x(),B.c.y(),B.c.z(),B.r,o->B.c.x(),o->B.c.y(),o->B.c.z(),o->B.r);
			return B.Intersect(o->B);
}

void GameObj::DrawBound(){
	glPushMatrix();
	glTranslate(p);
	glutWireSphere(B.r,8,5);
	glPopMatrix();
}
